// Oleg Petruny proprietary.


#include "InteractableModificator.h"

#include "InputMappingContext.h"

const UInputMappingContext* UInteractableModificator::GetMappingContext() const
{
    return inputMapping.LoadSynchronous();
}

EActivatorType UInteractableModificator::GetActivatorTypes() const
{
    return static_cast<EActivatorType>(activatorTypes);
}